import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import http from './http'
import tool from '../static/js/tool'
import ElementUI from 'element-ui'
import md5 from 'js-md5'

import '../static/css/reset.css'
import '../static/css/swiper.css'
import '../static/fonts/iconfont.css'
import 'element-ui/lib/theme-chalk/index.css'

Vue.prototype.$md5 = md5
Vue.prototype.$tool = tool
Vue.prototype.$http = http
Vue.prototype.$jump = function (url) {
  this.$router.push({
    name: url
  })
}
Vue.prototype.$jParams = function (url, parameters) {
  this.$router.push({
    name: url,
    params: parameters
  })
}

Vue.use(ElementUI)
Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
